# Header-only library.
%global debug_package %{nil}

Name:           xtl
Version:        0.4.7
Release:        2%{?dist}
License:        BSD
Summary:        QuantStack tools library
Url:            https://github.com/QuantStack/xtl
Source0:        https://github.com/QuantStack/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
# Just used in testing, and it breaks on some arches.
Patch0001:      0001-Remove-march-native-flag.patch

BuildRequires:  binutils
BuildRequires:  cmake
BuildRequires:  diffutils
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  gtest-devel
BuildRequires:  make
BuildRequires:  python3-breathe
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

%description
Basic tools (containers, algorithms) used by other QuantStack packages.


%package devel
Summary:        %{summary}
Provides:       xtl-static = %{version}-%{release}
Requires:       cmake-filesystem

%description devel
Development files for %{name} library.


%package doc
Summary:        %{summary}

%description doc
Documentation files for %{name} library.


%prep
%autosetup -p1


%build
%cmake -DBUILD_TESTS=ON
%make_build

pushd docs
make html SPHINXBUILD=sphinx-build-3
rm build/html/.buildinfo
popd


%install
%make_install


%check
# https://github.com/QuantStack/xtl/issues/72
%ifarch ppc64 s390x
export GTEST_FILTER=-hash.verification
%endif
make xtest


%files devel
%doc README.md
%license LICENSE
%{_includedir}/xtl/
%{_libdir}/cmake/xtl/

%files doc
%doc docs/build/html


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed May 02 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.4.7-1
- Update to latest version

* Wed Mar 21 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.4.4-2
- Split documentation into subpackage
- Run more tests on broken arches

* Mon Mar 19 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.4.4-1
- Initial package for Fedora
